{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<form method="post">
    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

    <h1 class="h3 mb-3 font-weight-normal">Please register</h1>
    <label for="inputEmail">Email</label>
    <input type="email" name="username" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
    <label for="inputPassword">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

    <input type="hidden" name="csrf_token" value="{{ csrf_token('register') }}">

    <button class="btn btn-lg btn-primary" type="submit">Register</button>
</form>
{% endblock %}
